Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.io.parser
Class NameToken

    java.lang.Object
      gnu.prolog.io.parser.gen.Token
          gnu.prolog.io.parser.NameToken

    public class NameToken

extends Token

Field Summary
`Operator` | `fxOp`
`String` | `value`
`Operator` | `xfOp`

Fields inherited from class gnu.prolog.io.parser.gen.Token
`beginColumn, beginLine, endColumn, endLine, image, kind, next, specialToken`

Constructor Summary
`NameToken()`

Method Summary
`String` | `getValue()`
`boolean` | `isFxOperator(OperatorSet set, int priority)`
`boolean` | `isFyOperator(OperatorSet set, int priority)`
`boolean` | `isNonOperator(OperatorSet set)`
`boolean` | `isOperator(OperatorSet set)`
`boolean` | `isOperator(OperatorSet set, int priority, Operator.SPECIFIER specifier)`
`boolean` | `isXfOperator(OperatorSet set, int priority)`
`boolean` | `isXfxOperator(OperatorSet set, int priority)`
`boolean` | `isXfyOperator(OperatorSet set, int priority)`
`boolean` | `isYfOperator(OperatorSet set, int priority)`
`boolean` | `isYfxOperator(OperatorSet set, int priority)`

Methods inherited from class gnu.prolog.io.parser.gen.Token
`newToken, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fxOp

    public Operator fxOp

### xfOp

    public Operator xfOp

### value

    public String value

Constructor Detail

### NameToken

    public NameToken()

Method Detail

### getValue

    public String getValue()

### isOperator

    public final boolean isOperator(OperatorSet set)

### isNonOperator

    public final boolean isNonOperator(OperatorSet set)

### isOperator

    public final boolean isOperator(OperatorSet set,
                                    int priority,
                                    Operator.SPECIFIER specifier)

### isFxOperator

    public final boolean isFxOperator(OperatorSet set,
                                      int priority)

### isFyOperator

    public final boolean isFyOperator(OperatorSet set,
                                      int priority)

### isXfxOperator

    public final boolean isXfxOperator(OperatorSet set,
                                       int priority)

### isXfyOperator

    public final boolean isXfyOperator(OperatorSet set,
                                       int priority)

### isYfxOperator

    public final boolean isYfxOperator(OperatorSet set,
                                       int priority)

### isXfOperator

    public final boolean isXfOperator(OperatorSet set,
                                      int priority)

### isYfOperator

    public final boolean isYfOperator(OperatorSet set,
                                      int priority)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD